| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9VideoModeList Class Reference

`#include <OgreD3D9VideoModeList.h>`

Inheritance diagram for Ogre::D3D9VideoModeList:
[legend]

## Public Member Functions
| D3D9VideoModeList (D3D9Driver *pDriver)
| ~D3D9VideoModeList ()
size_t | count ()
BOOL | enumerate ()
D3D9VideoMode * | item (size_t index)
D3D9VideoMode * | item (const String &name)

## Constructor & Destructor Documentation

## ◆ D3D9VideoModeList()

Ogre::D3D9VideoModeList::D3D9VideoModeList | ( | D3D9Driver * | pDriver | ) |

## ◆ ~D3D9VideoModeList()

Ogre::D3D9VideoModeList::~D3D9VideoModeList | ( |  | ) |

## Member Function Documentation

## ◆ enumerate()

BOOL Ogre::D3D9VideoModeList::enumerate | ( |  | ) |

## ◆ item() [1/2]

D3D9VideoMode* Ogre::D3D9VideoModeList::item | ( | size_t | index | ) |

## ◆ count()

size_t Ogre::D3D9VideoModeList::count | ( |  | ) |

## ◆ item() [2/2]

D3D9VideoMode* Ogre::D3D9VideoModeList::item | ( | const String & | name | ) |

The documentation for this class was generated from the following file:

- OgreD3D9VideoModeList.h